Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1263938 - Review Request: perl-Etsy-StatsD - Object-Oriented Client for Etsy's StatsD Server [NEEDINFO]
Summary: Review Request: perl-Etsy-StatsD - Object-Oriented Client for Etsy's StatsD S...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-09-17 06:41 UTC by Jan Holcapek
Modified: 2016-03-07 16:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-07 16:40:11 UTC
psabata: fedora-review?
psabata: needinfo? (holcapek)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1263969 None None None Never

Internal Links: 1263969

Description Jan Holcapek 2015-09-17 06:41:34 UTC
Spec URL: https://raw.githubusercontent.com/holcapek/perl-Etsy-StatsD/master/perl-Etsy-StatsD.spec
SRPM URL: https://github.com/holcapek/perl-Etsy-StatsD/raw/master/perl-Etsy-StatsD-1.001-1.fc21.src.rpm
Description: Object-Oriented Client for Etsy's StatsD Server
Fedora Account System Username: holcapek

Comment 1 Petr Šabata 2015-09-17 10:34:17 UTC
* The license is unclear -- while the README file and CPAN metadata claim the package is distributed under the `perl' license (generally understood as `GPL+ or Artistic'), the bundled license text is for `Artistic 2.0'.  Please, ask upstream when they really meant.

* %description needs to end with a fullstop.
  In your case, consider simple `%{summary}.'

* Feel free to use the more common DESTDIR rather than PERL_INSTALL_ROOT.

* Missing build deps ;)
  - coreutils, called in spec, line 32
  - findutils, ditto
  - make, called in spec, lines 27, 30 and 37
  - perl(IO::Socket::INET), lib/Etsy/StatsD.pm:35

* For obvious reasons, the automatic generators won't find that IO::Socket::INET dependency for you.  You'll have to require it explicitly.

* Note: at the moment, the statsd package provides the `perl(Etsy::StatsD)' symbol.  This is a bug.  Reported as #1263969.

Comment 2 Jan Holcapek 2015-09-25 07:43:32 UTC
(In reply to Petr Šabata from comment #1)
> * The license is unclear -- while the README file and CPAN metadata claim
> the package is distributed under the `perl' license (generally understood as
> `GPL+ or Artistic'), the bundled license text is for `Artistic 2.0'. 
> Please, ask upstream when they really meant.

Waiting for their reply.

> * %description needs to end with a fullstop.
>   In your case, consider simple `%{summary}.'
> 
> * Feel free to use the more common DESTDIR rather than PERL_INSTALL_ROOT.
> 
> * Missing build deps ;)
>   - coreutils, called in spec, line 32
>   - findutils, ditto
>   - make, called in spec, lines 27, 30 and 37
>   - perl(IO::Socket::INET), lib/Etsy/StatsD.pm:35
> 
> * For obvious reasons, the automatic generators won't find that
> IO::Socket::INET dependency for you.  You'll have to require it explicitly.

All above fixed.

> * Note: at the moment, the statsd package provides the `perl(Etsy::StatsD)'
> symbol.  This is a bug.  Reported as #1263969.

Good catch!

Spec URL: https://raw.githubusercontent.com/holcapek/perl-Etsy-StatsD/master/perl-Etsy-StatsD.spec
SRPM URL: https://github.com/holcapek/perl-Etsy-StatsD/raw/master/perl-Etsy-StatsD-1.001-2.fc21.src.rpm

Comment 3 Petr Šabata 2015-09-25 11:44:02 UTC
(In reply to Jan Holcapek from comment #2)
> > * %description needs to end with a fullstop.
> >   In your case, consider simple `%{summary}.'
> > 
> > * Feel free to use the more common DESTDIR rather than PERL_INSTALL_ROOT.
> > 
> > * Missing build deps ;)
> >   - coreutils, called in spec, line 32
> >   - findutils, ditto
> >   - make, called in spec, lines 27, 30 and 37
> >   - perl(IO::Socket::INET), lib/Etsy/StatsD.pm:35
> > 
> > * For obvious reasons, the automatic generators won't find that
> > IO::Socket::INET dependency for you.  You'll have to require it explicitly.
> 
> All above fixed.

Ack.

Comment 4 Petr Šabata 2015-11-25 13:49:39 UTC
Any news?

Comment 5 Petr Šabata 2016-02-16 15:38:26 UTC
Ping.

Comment 6 Petr Šabata 2016-03-07 16:40:11 UTC
Closing as DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.